@import url("https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,100..1000&display=swap");

/* ========================= */
/* RESET */
/* ========================= */

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "DM Sans", system-ui, -apple-system, BlinkMacSystemFont,
    "Segoe UI", sans-serif;
  font-size: 16px;
  line-height: 1.6;
  background-color: var(--bg-color);
  color: var(--text-color);
}

a {
  text-decoration: none;
  color: inherit;
}

ul {
  list-style: none;
}

button,
a,
div {
  -webkit-tap-highlight-color: transparent;
}

/* ========================= */
/* VARIABLES */
/* ========================= */

:root {
  --bg-color: #ffffff;
  --bg-soft: #f5f5f5;
  --bg-accent: #d8eef9;

  --text-color: #5d5d5d;
  --text-secondary: #626262;
  --title-color: #222222;

  --main-color: #0077a8;
  --border-color: #dddddd;

  --radius-sm: 10px;
  --radius-md: 14px;

  --shadow-sm: 0 4px 10px rgba(0, 0, 0, 0.08);

  --h1: clamp(2rem, 4vw, 3rem);
  --h2: clamp(1.6rem, 3vw, 2.2rem);
  --h3: 1.4rem;
  --p: 1rem;
}

/* --------------------------------- NAVBAR ---------------- */

header {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 1000;
  width: 100vw;
  background-color: transparent;
  padding: 27px 17%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transition: all 0.5s ease;
}

header.sticky {
  padding: 8px 17%;
  /* background: rgba(95, 158, 160, 0.5);
  backdrop-filter: blur(35px); */
}

.bx-x {
  color: var(--title-color) !important;
}
header.sticky .logo {
  color: var(--title-color);
}

header.sticky #menu-icon {
  color: var(--title-color);
}

.h-right {
  display: flex;
  align-items: center;
}

.h-right a:first-child {
  font-size: var(--p-font);
  margin-right: 20px;
}

.h-right a {
  vertical-align: middle;
  font-size: 20px;
  color: var(--title-color);
  margin-right: 18px;
  margin-left: 5px;
  transition: all 0.5s ease;
}

.h-right .last-a {
  margin-right: 0;
}

.h-right a:hover {
  color: var(--main-color);
  transform: translateY(-3px);
}

#menu-icon {
  color: var(--title-color);
  font-size: 30px;
  cursor: pointer;
  z-index: 1001;
  display: none;
}

.logo {
  /* font-size: 33px; */
  font-size: 15px;
  color: var(--title-color);
  font: 700;
}

span {
  color: var(--main-color);
  /* background: linear-gradient(
    to bottom right,
    #e0f7fa,
    #b2ebf2,
    #81d4fa,
    #4fc3f7,
    #0288d1,
    #01579b
  );
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent; */
}

.navbar {
  display: flex;
}

.navbar a {
  color: var(--title-color);
  font-size: var(--p-font);
  font-weight: 500;
  margin: 15px 22px;
  transition: all 0.5s ease;
}

.navbar a:hover {
  color: var(--main-color);
}

/* ========================= */
/* SECCIÓN GENERAL */
/* ========================= */

section {
  padding: 70px 17% 60px;
}

/* ========================= */
/* EXCURSION DETAIL */
/* ========================= */

.excursion-detail {
  /* max-width: 1200px; */
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  gap: 2.5rem;
}

.hright {
  background-color: #f6f6f6 !important;
  padding: 30px;
  border-radius: 10px;
  max-height: 1000px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.hright div {
  width: 100%;
}

/* ---------- TITULO ---------- */

.excursion-detail h1 {
  font-size: var(--h1);
  font-weight: 800;

  color: var(--title-color);
  margin-bottom: 60px;
  position: relative;
}

.excursion-detail h1::after {
  content: "";
  width: 50px;
  height: 2px;
  background-color: var(--main-color);
  position: absolute;
  left: 0;
  bottom: -8px;
}

/* ---------- SWIPER ---------- */

/* .excursion-swiper {
  width: 100%;
  margin-bottom: 50px;
}

.excursion-swiper .swiper-slide {
  border-radius: var(--radius-md);
  overflow: hidden;
}

.excursion-swiper img {
  width: 100%;
  height: clamp(220px, 45vw, 520px);
  object-fit: cover;
  filter: brightness(85%);
  transition: filter 0.3s ease, transform 0.3s ease;
}

.excursion-swiper img:hover {
  filter: brightness(100%);
  transform: scale(1.02);
} */

.swiper-section {
  margin-top: 2.5rem;
}
.excursion-swiper {
  width: 100%;
  margin-bottom: 50px;
  display: flex;
}

.swiper-wrapper {
  display: flex;
}
.excursion-swiper .swiper-slide {
  overflow: hidden;
}

.swiper-slide {
  width: 70% !important;
}

.excursion-swiper img {
  width: 100%;
  border-radius: 14px;
  max-height: 525px;
  height: 500px;
  object-fit: cover;
  filter: brightness(85%);
  transition: all 0.3s ease;
}

.excursion-swiper img:hover {
  filter: brightness(100%);
}

/* ---------- DESCRIPCIÓN ---------- */

#excursion-description {
  max-width: 900px;
  margin-top: 60px;
  font-size: var(--p);
  line-height: 1.8;
  color: var(--text-secondary);
}

/* ---------- SUBTÍTULOS ---------- */

.excursion-detail h3 {
  font-size: var(--h3);
  font-weight: 700;
  color: var(--title-color);
  margin-bottom: 22px;
  position: relative;
}

.excursion-detail h3::after {
  content: "";
  width: 50px;
  height: 2px;
  background-color: var(--main-color);
  position: absolute;
  left: 0;
  bottom: -8px;
}

/* ---------- INCLUYE ---------- */

#excursion-includes {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 16px;
  margin-bottom: 60px;
}

#excursion-includes li {
  display: flex;
  align-items: center;
  justify-content: center;

  background-color: var(--bg-accent);
  border: 1px solid var(--border-color);
  border-radius: var(--radius-sm);
  padding: 14px 18px;
  font-size: var(--p);
  font-weight: 500;
  text-align: center;
  transition: background-color 0.3s ease, transform 0.3s ease,
    box-shadow 0.3s ease;
}

#excursion-includes li:hover {
  background-color: var(--main-color);
  color: #ffffff;
  transform: translateY(-3px);
  box-shadow: var(--shadow-sm);
}

/* ---------- CONTACTO ---------- */

.excursion-detail p {
  margin-bottom: 40px;
}

.excursion-detail p a {
  color: var(--main-color);
  font-weight: 600;
}

.excursion-detail p a:hover {
  text-decoration: underline;
}

/* ---------- MAPA ---------- */

#excursion-map {
  width: 100%;
  height: 350px;
  border-radius: var(--radius-md);
  border: 1px solid var(--border-color);
}

/* ========================= */
/* RESPONSIVE */
/* ========================= */

@media (max-width: 768px) {
  header {
    padding: 27px 6%;
  }

  header.sticky {
    padding-left: 6%;
    padding-right: 6%;
  }
  section {
    padding: 60px 6% 40px;
  }

  #excursion-description {
    font-size: 0.95rem;
  }
}

@media (max-width: 480px) {
  section {
    padding: 50px 5% 35px;
  }

  #excursion-includes {
    grid-template-columns: 1fr;
  }
}

/* ========================= */
/* TEXTO */
/* ========================= */

#excursion-description {
  font-size: 1.1rem;
  line-height: 1.9;
}

.contact-text {
  font-size: 1.05rem;
  margin-bottom: 20px;
  color: var(--text-secondary);
}

.contact-alt {
  margin-top: 16px;
  font-size: 0.95rem;
}

/* ========================= */
/* CONTACTO */
/* ========================= */

.contact-box {
  background-color: var(--bg-color);
  border: 1px solid var(--main-color);
  border-radius: 14px;
  width: 500px;
  padding: 28px;
  margin-bottom: 60px;
  text-align: center;
}

.contact-box h2 {
  text-wrap: balance;
}
.whatsapp-btn {
  /* display: inline-block;
  background-color: #25d366;
  color: #fff;
  padding: 14px 26px;
  border-radius: 40px;
  font-weight: 700;
  font-size: 1rem; */
  display: flex;
  width: 100%;
  margin-top: 22px;

  text-align: center;
  align-items: center;
  justify-content: center;
  padding: 10px 18px;
  border-radius: 999px;
  background: #111;
  color: #fff;
  font-size: 0.9rem;
  transition: background 0.2s ease;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.whatsapp-btn:hover {
  transform: translateY(-2px);
  box-shadow: 0 6px 14px rgba(0, 0, 0, 0.2);
}

/* ========================= */
/* ITINERARIO */
/* ========================= */

.itinerary {
  /* margin: 40px 0 70px; */
  padding-left: 32px;
  position: relative;
}

.itinerary::before {
  content: "";
  position: absolute;
  left: 10px;
  top: 0;
  bottom: 0;
  width: 2px;
  background-color: var(--border-color);
}

.itinerary li {
  display: flex;
  gap: 20px;
  /* margin-bottom: 32px; */
  position: relative;
}

.itinerary li::before {
  content: "";
  position: absolute;
  left: -28px;
  top: 6px;
  width: 14px;
  height: 14px;
  background-color: var(--main-color);
  border-radius: 50%;
}

.itinerary .time {
  min-width: 60px;
  font-weight: 700;
  color: var(--main-color);
  font-size: 0.95rem;
}

.itinerary .content strong {
  display: block;
  font-size: 1rem;
  color: var(--title-color);
}

.itinerary .content p {
  margin-top: 4px;
  font-size: 0.95rem;
  color: var(--text-secondary);
}

/* ========================= */
/* COLLAGE GALERÍA */
/* ========================= */

/* .gallery-collage {
  margin-top: calc(102px + 1rem);
  padding-bottom: 50px;
}

.collage-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: 260px;
  gap: 20px;
}

.collage-item {
  
  overflow: hidden;
  border-radius: var(--radius-md);
}

.collage-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: brightness(85%);
  transition: transform 0.3s ease, filter 0.3s ease;
}

.collage-item img:hover {
  transform: scale(1.05);
  filter: brightness(100%);
}


.collage-item-1 {
  grid-column: span 2;
  grid-row: span 2;

}


@media (max-width: 768px) {
  .collage-grid {
    grid-template-columns: 1fr;
    grid-auto-rows: 220px;
  }

  .collage-item-1 {
    grid-column: auto;
    grid-row: auto;
  }
}


 */
/* ========================= */
/* COLLAGE GALERÍA DINÁMICA */
/* ========================= */

.gallery-collage {
  margin-top: 2.5rem;
  padding-bottom: 50px;
}

.collage-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  /* grid-auto-rows: 220px; */
  gap: 15px;
  grid-auto-flow: dense; /* optimiza espacios */
}

.collage-item {
  overflow: hidden;
  border-radius: var(--radius-md);
  position: relative;
}

/* Imagen dentro del div */
.collage-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: brightness(85%);
  transition: transform 0.6s ease, filter 0.3s ease;
  aspect-ratio: 9 / 6;
}

/* Zoom solo de la imagen al pasar el mouse */
.collage-item img:hover {
  transform: scale(1.1);
  filter: brightness(100%);
}

/* Distribución de tamaños para 3-6 imágenes */
.collage-item-1 {
  grid-column: span 2;
  grid-row: span 2;
}

.collage-item-2 {
  grid-row: span 2;
}

.collage-item-3 {
  grid-column: span 2;
}

.footer {
  position: relative;

  padding: 3rem 0;
  color: #fff;
  background: #0f1f1a;
  margin-top: 300px;
}

.footer .container {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
}
.footer__columns {
  display: flex;
  justify-content: space-between;
}
.footer__col-title {
  font-size: 1.6rem;
  margin-bottom: 2rem;
  text-transform: uppercase;
  display: flex;
  align-items: center;
}
/* .footer__col-title * ~ span {
  margin-left: 1rem;
} */
.footer a {
  display: flex;
  align-items: center;

  color: #fff;
  text-decoration: none;
}
/* .footer a * ~ span {
  margin-left: 1rem;
} */
.footer__nav-list {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.footer__copyrights {
  padding-top: 3rem;
  margin-top: 3rem;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}
.footer__copyrights p {
  display: flex;
}
.footer__copyrights p a {
  margin-left: 0.5rem;
}
@keyframes parralax {
  0% {
    background-position: 260px;
  }
  100% {
    background-position: -10000vw;
  }
}
@keyframes moto {
  0% {
    transform: translateY(0) rotate(0);
  }
  5% {
    transform: translateY(0) rotate(-5deg);
  }
  25% {
    transform: translateY(60px) rotate(-20deg);
  }
  49% {
    transform: translateY(0) rotate(-1deg);
  }
  51% {
    transform: translateY(0) rotate(1deg);
  }
  75% {
    transform: translateY(60px) rotate(20deg);
  }
  80% {
    transform: translateY(60px) rotate(0deg);
  }
  98% {
    transform: translateY(0) rotate(0);
  }
}
@keyframes voiture {
  0% {
    transform: rotate(0);
  }
  25% {
    transform: rotate(-5deg);
  }
  50% {
    transform: rotate(0);
  }
  75% {
    transform: rotate(5deg);
  }
  100% {
    transform: rotate(0);
  }
}
.footer__parralax {
  position: absolute;
  left: 0;
  top: -300px;
  height: 300px;
  width: 100%;
  overflow: hidden;
}
.footer__parralax-premierplan {
  background-position: 260px;
}
.footer__parralax-trees,
.footer__parralax-premierplan,
.footer__parralax-secondplan {
  position: absolute;
  inset: 0;
  background-repeat: repeat-x;
  background-position-y: 100% !important;
  animation: parralax 600s linear infinite;
}
/* .footer__parralax-moto {
  position: absolute;
  bottom: 80px;
  left: 50%;
  margin-left: -250px;
  height: 200px;
  width: 150px;
  background: url(https://i.ibb.co/JCGfFJd/moto-net.gif);
  background-repeat: no-repeat;
  transform-origin: 50% 80%;
  animation: moto 5s linear infinite;
} */
.footer__parralax-voiture {
  position: absolute;
  bottom: 0px;
  left: 50%;
  margin-left: 250px;
  height: 114px;
  width: 206px;
  background: url(../image/miscellaneous/bus.gif);
  background-repeat: no-repeat;
  background-size: contain;
  /* animation: voiture 1s linear infinite; */
}
/* .footer__parralax-trees {
  background-image: url(https://i.ibb.co/nQM4PGJ/arbres.png);
  bottom: -60px;
  animation-duration: 1000s;
} */
.footer__parralax-premierplan {
  background-image: url(../image/miscellaneous/mountain.png);
  background-size: contain;
  animation-duration: 11500s;
  bottom: -40px;
}
/* .footer__parralax-secondplan {
  background-image: url(https://i.ibb.co/J3TjC4W/second-plan.png);
  animation-duration: 600s;
} */

.footer span {
  color: #fff;
}

.footer__certification {
  display: flex;
  flex-direction: column;
  align-items: center;

  margin-top: 2.5rem;
  gap: 1rem;
  text-align: center;
  font-size: 0.9rem;
  opacity: 0.9;

  width: max-content;
}

@media (max-width: 1700px) {
  header {
    padding: 18px 8%;
  }

  header.sticky {
    padding: 7px 8%;
  }
  section {
    padding: 50px 8% 40px;
  }
}

@media (max-width: 1200px) {
  header {
    padding: 14px 5%;
  }

  header.sticky {
    padding: 7px 5%;
  }
  section {
    padding: 45px 5% 35px;
  }

  :root {
    --h1-font: 4.6rem;
    --h2-font: 2.8rem;
    --p-font: 15px;
  }
  .home {
    height: 90vh;
  }
}

/* Mobile */
@media (max-width: 480px) {
  .itinerary {
    padding-left: 26px;
  }

  .itinerary li::before {
    left: -22px;
  }

  .itinerary .time {
    font-size: 0.85rem;
    min-width: 50px;
  }
}

@media (max-width: 1690px) {
  .excursion-detail {
    flex-direction: column;
  }

  .contact-box {
    width: 100%;
  }

  .hright {
    background-color: #f6f6f6 !important;
    padding: 20px;
    border-radius: 10px;
  }
}

@media (max-width: 500px) {
  .contact-box {
    background-color: #f6f6f6 !important;
    text-align: left;
    padding: 0;
    border: none;
  }
}

@media (max-width: 1050px) {
  .feature-content {
    gap: 1.5rem;
  }
  .holiday {
    gap: 3rem;
  }
  .culture {
    gap: 3rem;
  }

  /* #menu-icon {
    display: block;
  } */

  /* social icons menu */

  /* .h-right a {
    display: none;
  } */

  .social-icons.open {
    width: auto;
    height: auto;
    opacity: 1;
    display: flex;
    position: fixed;
    top: 85%;
    left: 50%;
    transform: translate(-50%, 50%);
    z-index: 1002;
  }

  .social-icons a {
    color: var(--secondary-text);
    font-size: var(--p-font);
    font-weight: 500;
    font-size: 20px;
    cursor: pointer;
  }

  .social-icons.open a {
    margin: 15px 22px;
    transition: all 0.5s ease;
  }

  .navbar {
    position: absolute;
    width: 100%;
    height: 100vh;
    padding: 40px 60px;
    top: 0;
    bottom: 0;
    left: 100%;
    right: 0;
    display: flex;
    flex-direction: column;
    background-color: var(--bg-color);

    transition: all 0.5s ease;
  }

  .navbar::before {
    content: "";
    position: absolute;
    inset: 0;

    z-index: 2;
    left: 50px;

    pointer-events: none;
    background: url(./image/grande2.png);
    width: 100vw;
    height: auto;
    background-repeat: no-repeat;
    background-size: contain;
  }

  .navbar a {
    display: block;
    padding: 0;
    margin: 0 0 40px 0;
    color: var(--secondary-text);
    font-size: 2.2rem;
    font-weight: 400;
  }

  .navbar.open {
    left: 0;
  }
}

@media (max-width: 600px) {
  :root {
    --h1-font: 3rem;
    /* --h2-font: 2.5rem; */
    --h2-font: 35px;
  }
  .home {
    height: 85vh;
  }
}

@media (max-width: 450px) {
  header {
    padding: 12px 3%;
  }

  header.sticky {
    padding: 7px 3%;
  }
  section {
    padding: 60px 3% 50px;
  }
}

/* Tablets */
@media (max-width: 1024px) {
  .footer {
    margin-top: 200px;
    padding: 3rem 1.5rem;
  }

  .footer__columns {
    gap: 3rem;
  }

  .footer__col-title {
    font-size: 1.4rem;
  }
}

/* Mobile */
@media (max-width: 768px) {
  .footer {
    margin-top: 150px;
    padding: 3rem 1.5rem;
    text-align: center;
  }

  .footer__columns {
    flex-direction: column;
    align-items: center;
    gap: 4rem;
  }

  .footer__certification {
    width: 100%;
  }

  .footer__col {
    width: 100%;
    max-width: 420px;
  }

  .footer__col-title {
    justify-content: center;
  }

  .footer__nav-list {
    align-items: center;
  }

  .footer a {
    justify-content: center;
  }

  .footer__copyrights p {
    justify-content: center;
    flex-wrap: wrap;
    text-align: center;
  }
}

/* Reduce impacto visual del parallax en móviles */
@media (max-width: 768px) {
  .footer__parralax {
    top: -200px;
    height: 200px;
  }

  .footer__parralax-voiture {
    display: none;
  }
}

/* Responsive */
/* @media (max-width: 1024px) {
  .collage-grid {
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 180px;
  }

  .collage-item-1,
  .collage-item-2,
  .collage-item-3 {
    grid-column: auto;
    grid-row: auto;
  }
} */

@media (max-width: 768px) {
  /* .collage-grid {
    grid-template-columns: 1fr;
    grid-auto-rows: 220px;
  } */

  .swiper-slide {
    min-width: 100%;
  }
}

/* Mobile */
@media (max-width: 480px) {
  .excursion-swiper img {
    height: 50vh;
    max-height: auto;
  }

  .excursion-detail {
    padding-top: 0 !important;
  }

  .swiper-section {
    padding-bottom: 0 !important;
  }
}
